## Check order-exchange eligibility

### cURL

```
curl --request GET \
  --url https://prod01.oms.fabric.inc/api/v2/order/exchange \
  --header 'Authorization: Bearer <token>' \
  --header 'tenant-key: <tenant-key>' \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://prod01.oms.fabric.inc/api/v2/order/exchange"

headers = {
    "tenant-key": "<tenant-key>",
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {
  method: 'GET',
  headers: {
    'tenant-key': '<tenant-key>',
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>'
  }
};

fetch('https://prod01.oms.fabric.inc/api/v2/order/exchange', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Responses

- **200**  
  - **Application/json**  
    - **Payload Example:**  
    ```json
    {
      "orderId": "62f3982438bcab1951be0a19",
      "eligibleReasonCodes": [
        "wrong item"
      ],
      "policyType": "Exchange or return or cancellation",
      "period": "30D00H00M",
      "items": [
        {
          "lineItemId": "62f3dfc438bcab1951be0a19",
          "eligibleQuantity": 10,
          "eligible": true
        }
      ],
      "fees": [
        {
          "platinumFee": 33.9,
          "currency": "USD"
        }
      ]
    }
    ```

- **Error Responses:**  
  - **400**  
    ```json
    {
      "message": "Bad request"
    }
    ```  
  - **404**  
    ```json
    {
      "message": "Order with orderId is not found"
    }
    ```  
  - **500**  
    ```json
    {
      "message": "Internal server error"
    }
    ```

### Authorizations

- **Authorization** 
  - Type: `string`
  - Location: `header`
  - Required: Yes  
  - Format: `Bearer <token>`

### Headers

- **tenant-key**: (required) 
  
- **x-site-context**: (required)  
  - Contains information about the source to pull from, has attributes such as `account`, `channel`, `stage`, and `date`.  
    - Example: 
      ```json
      "{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
      ```

### Query Parameters

- **orderId** (required)  
  - Example: 
    ```json
    "62f3982438bcab1951be0a19"
    ```  
- **lineItemId**  
  - Example: 
    ```json
    "12345"
    ```

### Response Structure
- **200**  
  - **orderId**: Order ID  
  - **eligibleReasonCodes**: Array of reason codes for returns  
  - **policyType**: Type of policy  
  - **period**: Duration for returns  
  - **items**: List of items' eligibility  
  - **fees**: Associated fees
